Bug 983 - nmbd fails to reload interfaces after network reconfiguration
nmbd fails to reload interfaces after network reconfiguration
Status: CLOSED FIXED
Product: Samba 3.0
Classification: Unclassified
Component: nmbd
3.0.1
All Linux
: P3 normal
: none
Assigned To: Samba Bugzilla Account
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2004-01-18 06:04 UTC by Tom Burkholder
Modified: 2005-08-24 10:22 UTC (History)
0 users

See Also:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Tom Burkholder 2004-01-18 06:04:06 UTC
My samba server also controls a VPN in which client computers tunnel ppp through
ssh.  It appears that every time one of the VPN clients disconnects, nmbd
reloads interfaces, fails to find eth0 and quits.

Typically, ifconfig will report (abbreviated):
eth0      Link encap:Ethernet  HWaddr 02:00:08:E3:EA:43  
          inet addr:130.207.[x].[y]  Bcast:130.207.[x].255  Mask:255.255.255.0
ppp0      Link encap:Point-to-Point Protocol  
          inet addr:192.168.15.1  P-t-P:192.168.15.2  Mask:255.255.255.255

Every time I see

Jan 17 20:36:04 samba pppd[27582]: Hangup (SIGHUP)
Jan 17 20:36:04 samba pppd[27582]: Modem hangup
Jan 17 20:36:05 samba pppd[27582]: Connection terminated.
Jan 17 20:36:05 samba pppd[27582]: Connect time 3280.9 minutes.
Jan 17 20:36:05 samba pppd[27582]: Sent 14651444 bytes, received 934916 bytes.
Jan 17 20:36:05 samba pppd[27582]: Exit.

in syslog, I see

[2004/01/17 20:36:38, 0] lib/interface.c:load_interfaces(216)
  WARNING: no network interfaces found
[2004/01/17 20:36:38, 0] nmbd/nmbd.c:reload_interfaces(263)
  reload_interfaces: No subnets to listen to. Shutting down...

in nmbd's log.  Similarly, every occurence of nmbd shutting down is preceeded by
a pppd disconnect.  eth0 remains up and active. smbd is unaffected.

smb.conf contains
   interfaces = 127.0.0.0/24 130.207.[x].0/24 
#   bind interfaces only = yes

kernel 2.4.19; pppd 2.4.1; eth0 uses the tulip driver
Comment 1 Gerald (Jerry) Carter 2004-10-29 08:10:47 UTC
fixed (don't remember what version).
Comment 2 Gerald (Jerry) Carter 2005-08-24 10:22:44 UTC
sorry for the same, cleaning up the database to prevent unecessary reopens of bugs.